Vuetify Ie11

Posted on  by admin
Modified4 years, 1 month ago.

Our app (https://web.hashlearn.com) is built with Vuetify works and looks awesome in all browsers except IE11 (we don't support < IE11). This is essentially a Rails app with Webpacker, VueJS, and Vuetify (0.16.9).

Most of the things seem to work except a few issues in IE11, the icons just don't show up in IE.

I've tried multiple things including:.

Installing and including babel-polyfill via npm and importing it into our application.js.

Including babel-polyfill via Webpacker entry config as suggested here: https://github.com/rails/webpacker/issues/523#issuecomment-309871748.
Cindy ConwayCindy Conway
1,624

5353 bronze badges. Vuetify is a progressive framework that attempts to push web development to the next level. In order to best accomplish this task, some sacrifices had to be made in terms of support for older versions of Internet Explorer.

Cindy ConwayCindy Conway
1,6242

To assist in resolving these errors you need to manually add transpileDependencies parameter in vue.config.js:.

If you are using a custom Webpack setup, you will need to install the core-js and regenerator-runtime packages.

In your terminal, run the following command:. Include the plugin as early as possible within your main.js fileā€”or whatever the main entry point of your application is.

Instead of manually installing and importing the polyfills that you need, we recommend that you install @babel/preset-env.
0

Not the answer you're looking for? Browse other questions tagged internet-explorervue.jsvuetify.js or ask your own question.